curl --request POST \
--url https://api.hubapi.com/events/2026-09/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventName": "<string>",
"properties": {},
"email": "<string>",
"objectId": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"utk": "<string>",
"uuid": "<string>"
}
'import requests
url = "https://api.hubapi.com/events/2026-09/send"
payload = {
"eventName": "<string>",
"properties": {},
"email": "<string>",
"objectId": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"utk": "<string>",
"uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventName: '<string>',
properties: {},
email: '<string>',
objectId: '<string>',
occurredAt: '2023-11-07T05:31:56Z',
utk: '<string>',
uuid: '<string>'
})
};
fetch('https://api.hubapi.com/events/2026-09/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/events/2026-09/send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventName' => '<string>',
'properties' => [
],
'email' => '<string>',
'objectId' => '<string>',
'occurredAt' => '2023-11-07T05:31:56Z',
'utk' => '<string>',
'uuid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/events/2026-09/send"
payload := strings.NewReader("{\n \"eventName\": \"<string>\",\n \"properties\": {},\n \"email\": \"<string>\",\n \"objectId\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\",\n \"utk\": \"<string>\",\n \"uuid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/events/2026-09/send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventName\": \"<string>\",\n \"properties\": {},\n \"email\": \"<string>\",\n \"objectId\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\",\n \"utk\": \"<string>\",\n \"uuid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/events/2026-09/send")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventName\": \"<string>\",\n \"properties\": {},\n \"email\": \"<string>\",\n \"objectId\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\",\n \"utk\": \"<string>\",\n \"uuid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Send an event occurrence
1件のカスタムイベントの発生のデータを送信します。
curl --request POST \
--url https://api.hubapi.com/events/2026-09/send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventName": "<string>",
"properties": {},
"email": "<string>",
"objectId": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"utk": "<string>",
"uuid": "<string>"
}
'import requests
url = "https://api.hubapi.com/events/2026-09/send"
payload = {
"eventName": "<string>",
"properties": {},
"email": "<string>",
"objectId": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"utk": "<string>",
"uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventName: '<string>',
properties: {},
email: '<string>',
objectId: '<string>',
occurredAt: '2023-11-07T05:31:56Z',
utk: '<string>',
uuid: '<string>'
})
};
fetch('https://api.hubapi.com/events/2026-09/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/events/2026-09/send",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventName' => '<string>',
'properties' => [
],
'email' => '<string>',
'objectId' => '<string>',
'occurredAt' => '2023-11-07T05:31:56Z',
'utk' => '<string>',
'uuid' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/events/2026-09/send"
payload := strings.NewReader("{\n \"eventName\": \"<string>\",\n \"properties\": {},\n \"email\": \"<string>\",\n \"objectId\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\",\n \"utk\": \"<string>\",\n \"uuid\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/events/2026-09/send")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventName\": \"<string>\",\n \"properties\": {},\n \"email\": \"<string>\",\n \"objectId\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\",\n \"utk\": \"<string>\",\n \"uuid\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/events/2026-09/send")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventName\": \"<string>\",\n \"properties\": {},\n \"email\": \"<string>\",\n \"objectId\": \"<string>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\",\n \"utk\": \"<string>\",\n \"uuid\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
承認
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
イベントの完全修飾名。この値(「pe{HubID}_{name}」の形式)は[イベント定義API](https://developers.hubspot.com/docs/reference/api/analytics-and-events/custom-events/custom-event-definitions#get-%2Fevents%2Fv3%2Fevent-definitions)を使用するか、[HubSpotのUI](https://knowledge.hubspot.com/reports/create-custom-behavioral-events-with-the-code-wizard#find-internal-name)で取得できます。
更新するイベントプロパティー。キーと値ペアの形式になります(プロパティーの内部名とプロパティー値)。[HubSpotのデフォルトのイベントプロパティー](https://developers.hubspot.com/docs/guides/api/analytics-and-events/custom-events/custom-event-definitions#hubspot-s-default-event-properties)についてもっと詳しく。
Show child attributes
Show child attributes
訪問者のEメールアドレス。イベントデータをCRMレコードに関連付けるために使用されます。
イベントが発生したレコードのID(例:コンタクトIDや訪問者ID)。
このイベントが発生した時刻。これが設定されていない場合、現在の時刻が使用されます。
訪問者のユーザートークン。イベントデータをCRMレコードに関連付けるために使用されます。
イベント発生の固有ID。イベントタイプ内で重複しない値である必要があります。指定しない場合、HubSpotがランダムなUUIDを生成します。1年以内に複数のイベントが同じIDを持つ場合、最初のイベントが受け入れられ、その他はすべて拒否されます。HubSpotと他の外部システム間でデータを照合するのに役立ちます。
レスポンス
No content